PUT
/ai_labs/organization/{Organization_Id}/group/{Group_Id}/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/group/{Group_Id}/?location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "tag": "Default", "allowed_plans": [ { "plan_id": 1, "plan_name": "GDC.H100.5g.3.9GB_SXM", "max_instances": 1 } ], "policies": [ { "service_id": "notebook", "create": true, "read": true, "update": true, "delete": true } ]}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/group/{Group_Id}/", params={"location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "tag": "Default", "allowed_plans": [ { "plan_id": 1, "plan_name": "GDC.H100.5g.3.9GB_SXM", "max_instances": 1, }, ], "policies": [ { "service_id": "notebook", "create": True, "read": True, "update": True, "delete": True, }, ], },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/group/{Group_Id}/");url.search = new URLSearchParams({ location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "tag": "Default", "allowed_plans": [ { "plan_id": 1, "plan_name": "GDC.H100.5g.3.9GB_SXM", "max_instances": 1 } ], "policies": [ { "service_id": "notebook", "create": true, "read": true, "update": true, "delete": true } ] }),});console.log(await response.json());Note: AI Labs is currently available only in the Delhi region.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Organization_Id
required
integer
Organization ID
Group_Id
required
integer
Unique identifier for the group
Query Parameters
Section titled “Query Parameters”location
required
string
Location
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
tag
required
Updated tag for the group
string
Example
Defaultallowed_plans
List of allowed plans for the group with max instances
Array<object>
object
plan_id
integer
Example
1plan_name
string
Example
GDC.H100.5g.3.9GB_SXMmax_instances
integer
Example
1policies
List of service policies with CRUD permissions
Array<object>
object
service_id
string
Example
notebookcreate
boolean
Example
trueread
boolean
Example
trueupdate
boolean
Example
truedelete
boolean
Example
trueResponses
Section titled “Responses”default
Section titled “default”Successful response